Get Resources for a Specific User and a Specific Pathway

This endpoint retrieves all resources for a specific user and a specific pathway. You can retrieve the resources by specifying the User ID as a path parameter and the Pathway ID as a path parameter. For example, https://api.betatest.degreed.com/api/v2/users/<user_id>/pathways<pathway_id>/resources?

Required Scope

users:read, users:write

Path Params
string
required

The ID of the user to retrieve.

string
required

The ID of the pathway to retrieve.

Query Params
int32
Defaults to 100

The maximum number of resources to display per page. A maximum of 1000 is allowed.

string
Defaults to id

How to identify the user. The identifier can be id (default), employee-id, or email and must be used as a query string URL parameter. For example, https://api.betatest.degreed.com/api/v2/users/<email_value>/pathways?identifier=email

Response

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json